## org.hibernate.metamodel.source.annotations.entity
Enum IdType

    java.lang.Object
      java.lang.Enum<IdType>
          org.hibernate.metamodel.source.annotations.entity.IdType

All Implemented Interfaces:
  Serializable, Comparable<IdType>

    public enum IdType

extends Enum<IdType>

An emum for the type of id configuration for an entity.

Enum Constant Summary
`COMPOSED`
`EMBEDDED`
`NONE`
`SIMPLE`

Method Summary
`static IdType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMPLE

    public static final IdType SIMPLE

### COMPOSED

    public static final IdType COMPOSED

### EMBEDDED

    public static final IdType EMBEDDED

### NONE

    public static final IdType NONE

Method Detail

### values

    public static IdType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IdType c : IdType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IdType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.